%define beta 15
%define fullver %version-beta%beta

Name: hddtemp
Version: 0.3
Release: alt5.%beta

Epoch: 20070418

Summary: Hard Drive Temperature Monitoring
License: GPL
Group: Monitoring

URL: http://www.guzu.net/linux/hddtemp.php
Source0: http://www.guzu.net/files/hddtemp-%fullver.tar.bz2
Source1: http://www.guzu.net/linux/hddtemp.db
Source2: %name.control
Source3: %name.init
Source4: %name.sysconfig

%description
hddtemp is a tool that gives you the temperature of your PATA, SATA or
SCSI hard drive by reading S.M.A.R.T. information. Only modern hard
drives have a temperature sensor.

%prep
%setup -q -n %name-%fullver

%build
%configure
%make_build

%install
install -pD -m644 %SOURCE1 %buildroot%_datadir/misc/%name.db
install -pD -m755 %SOURCE2 %buildroot%_controldir/%name
install -pD -m755 %SOURCE3 %buildroot%_initdir/%name
install -pD -m755 %SOURCE4 %buildroot%_sysconfdir/sysconfig/%name
install -d %buildroot%_man8dir

%make_install DESTDIR=%buildroot install

%find_lang %name

# ALT bug#9690:
# for JNC0 (10/06/2006)
%__subst 's,"WDC WD800JD-(00|55)(HK|JR)A0","WDC WD800JD-(00|55)(HK|JN|JR)(A|C)0",' %buildroot%_datadir/misc/%name.db

cat <<EOF >>%buildroot%_datadir/misc/%name.db

# ALT Linux package additions:
"WDC WD1600JB-00DUA3"		0   C "Western Digital 160GB Special Edition 8MB"

# ALT bug#9355:
"ST3200822A"			194  C  "Seagate Barracuda V ST3200822A"
"SAMSUNG SV3012H"		194  C  "Samsung SV3012H"

# ALT bug#10515:
"SAMSUNG HD401LJ"		194  C  "Samsung SpinPoint T133 series - SATA II"

# Mike Shigorin's contribution:
"ST3200827AS"			194  C  "Seagate Barracuda 7200.9 200GB SATA"
"WDC WD2500JS-00MHB0"		194  C  "Western Digital Caviar SE 250GB SATA"
"WDC WD2500JS-60MHB1"		194  C  "Western Digital Caviar SE 250GB SATA"

# ALT bug#11037:
"HDT725032VLA360"		194  C	"Hitachi Deskstar T7K500 series, 7200RPM, 16MB, SATA"
"WDC WD3200YS-01PGB0"		194  C  "Western Digital Caviar 320GB RAID Edition 16MB"
EOF

# for 03C (01/01/2004)
#echo '"WDC WD1600JB-00DUA3"          0   C "Western Digital 160GB Special Edition 8MB"' >> %buildroot%_datadir/misc/%name.db
#echo '"SAMSUNG SV3012H"            194   C "Samsung SV3012H"' >> %buildroot%_datadir/misc/%name.db

%pre
%pre_control %name

%post
%post_service %name
%post_control -s wheelonly %name

%preun
%preun_service %name

%files -f %name.lang
%doc README TODO contribs
%_sbindir/%name
%_initdir/%name
%_man8dir/*
%_datadir/misc/%name.db
%config(noreplace) %_sysconfdir/control.d/facilities/%name
%config(noreplace) %_sysconfdir/sysconfig/%name

# TODO:
# - find someone to do privsep/chroot on hddtemp?

%changelog
* Wed Apr 18 2007 Victor Forsyuk <force@altlinux.org> 20070418:0.3-alt5.15
- Added drives from ALT#11037.

* Tue Dec 26 2006 Victor Forsyuk <force@altlinux.org> 20061226:0.3-alt4.15
- Do not start service by default (closes bug#6097).
- Added bunch of drives (closes bugs#9355,9690,10515).

* Wed Jun 07 2006 Victor Forsyuk <force@altlinux.ru> 20060607:0.3-alt3.15
- 0.3.beta15 + fresh hddtemp.db.

* Wed Jan 18 2006 Victor Forsyuk <force@altlinux.ru> 20060118:0.3-alt2.14
- Update with fresh hddtemp.db.

* Thu Sep 29 2005 Victor Forsyuk <force@altlinux.ru> 20050929:0.3-alt1.14
- 0.3.beta14
- Updated hddtemp.db.

* Fri Aug 26 2005 Victor Forsyuk <force@altlinux.ru> 20050826:0.3-alt2.13
- Updated hddtemp.db.

* Fri Apr 22 2005 Victor Forsyuk <force@altlinux.ru> 20050422:0.3-alt1.13
- beta13, updated hddtemp.db.
- Fix URL.

* Sun Jan 04 2004 Michael Shigorin <mike@altlinux.ru> 20040104:0.3-alt1.11
- beta11
- moved to control(8) rpm macros
- removed superfluous groupadd netadmin %%)
- implemented initscript (based on debian's) (127.0.0.1:7634)
- spec cleanup

* Sun Nov 02 2003 Michael Shigorin <mike@altlinux.ru> 20031102:0.3-alt0.84
- added WD1600JB-00DUA3 info (thanks vvzhy@ again)

* Tue Oct 28 2003 Michael Shigorin <mike@altlinux.ru> 20031028:0.3-alt0.83
- *do* apply patch for WD1600JB-00EVA0 support;
  thanks Vadim V. Zhytnikov (vvzhy@)

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.82
- added WD1600JB-00EVA0; thanks to Mikhail Yakshin (greycat@)

* Mon Sep 22 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.81
- added ST3120026A to hddtemp.db; thanks to Vitaly Lipatov (lav@)

* Wed Aug 13 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.8
- 0.3beta8
- po files included as i18n support got fixed
- tiny spec cleanup

* Thu Jul 03 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.7
- 0.3beta7
- updated %%url
- patches merged into upstream
- spec change due to upstream autoconf'izing (+cleanup)

* Thu Apr 17 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.6
- 0.3beta6

* Fri Mar 14 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.31
- hddtemp.db entry for "Maxtor DiamondMax 16" from Andrey Brindeew <abr>

* Sat Mar 08 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.3
- built for ALT Linux (0.3-beta3)
- moved hddtemp.db to %_datadir/misc
- control support instead of plain suid binary

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.3-0.beta3.1mdk
- initial contrib from Ben Reser

* Fri Jan 24 2003 Ben Reser <ben@reser.org> 0.3-0.beta3.1brs
- 0.3-beta3
